{% extends 'base.html' %}
{% block content %}
{% load static %}


<!-- ====== Sidebar Start ====== -->
{% load mptt_tags %}
<div class="grid-container">

<div class="grid-child first sidebar1" >
  <ul class="nav-links">
{% recursetree categorys %}
    {% if node.level == 0 %}
        {% if not node.is_leaf_node %}
            <li class="dropdown center" >
            <a href="{%url 'my_app:products_of_category' node.id%}" style="display:inline-block;padding-right:0px;">{{ node.name }}</a>
            <a href="#" class="dropdown-toggle center" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false" style="display:inline-block;padding-left:0px; padding-bottom:25px;"><span class="caret"></span> </a> 
        {% else %}
            <li class="center"><a href="{%url 'my_app:products_of_category' node.id%}" class="center" style="margin-top:40px;">{{ node.name }}</a>

        {% endif %}

    {% else %}
        {% if not node.is_leaf_node %}
            <li class="dropdown-submenu" style="justify-content: center;">
                <a href="{%url 'my_app:products_of_category' node.id%}" style="display:inline-block;padding-right:0px;padding-left:20px; margin:0 auto;">{{ node.name }}</a>
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="true" style="display:inline-block;padding-right:65px; padding-bottom:30px;"><span class="caret"></span> </a>
        {% else %}
            <li class="center"><a href="{%url 'my_app:products_of_category' node.id%}" class="center" style="margin:31px;">{{ node.name }}</a>

        {% endif %}
    {% endif %}

    {% if not node.is_leaf_node %}
        <ul class="children dropdown-menu" style="padding-top: 0px; padding-bottom: 0px; background: #e7f2fc;">
        {{ children }}
        </ul>

    {% endif %}
    </li>
    
{% endrecursetree %}
<!-- ====== Sidebar Start ====== -->
<a class="button_add_category center" href="{%url 'my_app:add_category'%}">
    <img src="{% static 'img/add.png' %}" alt="Add button"/>
</a>
</ul>
</div>
    <div class="grid-child second">      
    {%block products%}
    {%endblock%}
    </div>
</div>
  <script>
    let arrow = document.querySelectorAll(".arrow");
    for (var i = 0; i < arrow.length; i++) {
      arrow[i].addEventListener("click", (e)=>{
     let arrowParent = e.target.parentElement.parentElement;//selecting main parent of arrow
     arrowParent.classList.toggle("showMenu");
      });
    }
    let sidebar = document.querySelector(".sidebar");
    let sidebarBtn = document.querySelector(".bx-menu");
    console.log(sidebarBtn);
    sidebarBtn.addEventListener("click", ()=>{
      sidebar.classList.toggle("close");
    });
  </script>
{% endblock %}